Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.rep.monitor
Class LeaveGroupEvent

    java.lang.Object
      com.sleepycat.je.rep.monitor.MonitorChangeEvent
          com.sleepycat.je.rep.monitor.MemberChangeEvent
              com.sleepycat.je.rep.monitor.LeaveGroupEvent

    public class LeaveGroupEvent

extends MemberChangeEvent

The event generated when a node leaves the group. A new instance of this event is generated each time a node leaves the group. The events is generated on a "best effort" basis. It may not be generated if the node leaving the group dies before it has a chance to generate the event, for example, if the process was killed, or the node was unable to communicate with the monitor due to a network problem. The application must be resilient in the face of such missing events.

Nested Class Summary
`static class` | `LeaveGroupEvent.LeaveReason` The reason for why the node leaves the group.

Method Summary
`Date` | `getJoinTime()`
`LeaveGroupEvent.LeaveReason` | `getLeaveReason()` Returns the reason why the node left the group.
`Date` | `getLeaveTime()` Returns the time at which the node left the group.

Methods inherited from class com.sleepycat.je.rep.monitor.MemberChangeEvent
`getMasterName`

Methods inherited from class com.sleepycat.je.rep.monitor.MonitorChangeEvent
`getNodeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getJoinTime

    public Date getJoinTime()

  Returns:
    the time this node joins the group.

### getLeaveTime

    public Date getLeaveTime()

  Returns the time at which the node left the group.

### getLeaveReason

    public LeaveGroupEvent.LeaveReason getLeaveReason()

  Returns the reason why the node left the group.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.